<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.2"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>VivianUI: TriLib.AssetLoaderOptions Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">VivianUI
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.2 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('class_tri_lib_1_1_asset_loader_options.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="class_tri_lib_1_1_asset_loader_options-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">TriLib.AssetLoaderOptions Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p>Represents a series of asset loading options.  
 <a href="class_tri_lib_1_1_asset_loader_options.html#details">More...</a></p>
<div class="dynheader">
Inheritance diagram for TriLib.AssetLoaderOptions:</div>
<div class="dyncontent">
 <div class="center">
  <img src="class_tri_lib_1_1_asset_loader_options.png" alt=""/>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ae3f1bde16fe81674a5643f9ef0212a26"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_loader_options.html#ae3f1bde16fe81674a5643f9ef0212a26">Deserialize</a> (string json)</td></tr>
<tr class="memdesc:ae3f1bde16fe81674a5643f9ef0212a26"><td class="mdescLeft">&#160;</td><td class="mdescRight">Deserialize the specified JSON representation into this class.  <a href="class_tri_lib_1_1_asset_loader_options.html#ae3f1bde16fe81674a5643f9ef0212a26">More...</a><br /></td></tr>
<tr class="separator:ae3f1bde16fe81674a5643f9ef0212a26"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af034052c78eac9477f5ba87ce392d306"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_loader_options.html#af034052c78eac9477f5ba87ce392d306">Serialize</a> ()</td></tr>
<tr class="memdesc:af034052c78eac9477f5ba87ce392d306"><td class="mdescLeft">&#160;</td><td class="mdescRight">Serializes this instance to a JSON representation.  <a href="class_tri_lib_1_1_asset_loader_options.html#af034052c78eac9477f5ba87ce392d306">More...</a><br /></td></tr>
<tr class="separator:af034052c78eac9477f5ba87ce392d306"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-static-methods" name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:af332e5c7b674026253f9612a994d6454"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="class_tri_lib_1_1_asset_loader_options.html">AssetLoaderOptions</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_loader_options.html#af332e5c7b674026253f9612a994d6454">CreateInstance</a> ()</td></tr>
<tr class="memdesc:af332e5c7b674026253f9612a994d6454"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns a new <a class="el" href="class_tri_lib_1_1_asset_loader_options.html" title="Represents a series of asset loading options.">AssetLoaderOptions</a> instance.  <a href="class_tri_lib_1_1_asset_loader_options.html#af332e5c7b674026253f9612a994d6454">More...</a><br /></td></tr>
<tr class="separator:af332e5c7b674026253f9612a994d6454"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-attribs" name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a2e7bbe2c9b9e3b20fcd6a49efe50af3b"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_loader_options.html#a2e7bbe2c9b9e3b20fcd6a49efe50af3b">AddAssetUnloader</a></td></tr>
<tr class="memdesc:a2e7bbe2c9b9e3b20fcd6a49efe50af3b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Turn on this field to add <a class="el" href="class_tri_lib_1_1_asset_unloader.html" title="Represents an asset unloader.">AssetUnloader</a> behaviour to loaded UnityEngine.GameObject and automatically free resources when it's destroyed.  <a href="class_tri_lib_1_1_asset_loader_options.html#a2e7bbe2c9b9e3b20fcd6a49efe50af3b">More...</a><br /></td></tr>
<tr class="separator:a2e7bbe2c9b9e3b20fcd6a49efe50af3b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6f98a37d59954c111865837ed10e7668"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_loader_options.html#a6f98a37d59954c111865837ed10e7668">DontLoadAnimations</a></td></tr>
<tr class="memdesc:a6f98a37d59954c111865837ed10e7668"><td class="mdescLeft">&#160;</td><td class="mdescRight"><br  />
 Turn on this field to disable animations loading.  <a href="class_tri_lib_1_1_asset_loader_options.html#a6f98a37d59954c111865837ed10e7668">More...</a><br /></td></tr>
<tr class="separator:a6f98a37d59954c111865837ed10e7668"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a79471bc0f1d4379cfccbd54193943d6d"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_loader_options.html#a79471bc0f1d4379cfccbd54193943d6d">ForceAnimationComponents</a></td></tr>
<tr class="memdesc:a79471bc0f1d4379cfccbd54193943d6d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Turn on this field to force the animation components creation even when there are no animations on the source model.  <a href="class_tri_lib_1_1_asset_loader_options.html#a79471bc0f1d4379cfccbd54193943d6d">More...</a><br /></td></tr>
<tr class="separator:a79471bc0f1d4379cfccbd54193943d6d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af3c89ae92840d5cb8b154ee8e0f8adde"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_loader_options.html#af3c89ae92840d5cb8b154ee8e0f8adde">DontApplyAnimations</a></td></tr>
<tr class="memdesc:af3c89ae92840d5cb8b154ee8e0f8adde"><td class="mdescLeft">&#160;</td><td class="mdescRight">Turn on this field to disable applying loaded animations.  <a href="class_tri_lib_1_1_asset_loader_options.html#af3c89ae92840d5cb8b154ee8e0f8adde">More...</a><br /></td></tr>
<tr class="separator:af3c89ae92840d5cb8b154ee8e0f8adde"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a086ab53f1d935e50a4b4b3ce08357264"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_loader_options.html#a086ab53f1d935e50a4b4b3ce08357264">DontLoadLights</a> = true</td></tr>
<tr class="memdesc:a086ab53f1d935e50a4b4b3ce08357264"><td class="mdescLeft">&#160;</td><td class="mdescRight"><br  />
 Turn on this field to disable lights loading.  <a href="class_tri_lib_1_1_asset_loader_options.html#a086ab53f1d935e50a4b4b3ce08357264">More...</a><br /></td></tr>
<tr class="separator:a086ab53f1d935e50a4b4b3ce08357264"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af1b249c1ce4508e71397658fa2cd1f95"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_loader_options.html#af1b249c1ce4508e71397658fa2cd1f95">DontLoadCameras</a> = true</td></tr>
<tr class="memdesc:af1b249c1ce4508e71397658fa2cd1f95"><td class="mdescLeft">&#160;</td><td class="mdescRight"><br  />
 Turn on this field to disable cameras loading.  <a href="class_tri_lib_1_1_asset_loader_options.html#af1b249c1ce4508e71397658fa2cd1f95">More...</a><br /></td></tr>
<tr class="separator:af1b249c1ce4508e71397658fa2cd1f95"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a023fb73c9d5abf72b9387289c2e81287"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_loader_options.html#a023fb73c9d5abf72b9387289c2e81287">AutoPlayAnimations</a> = true</td></tr>
<tr class="memdesc:a023fb73c9d5abf72b9387289c2e81287"><td class="mdescLeft">&#160;</td><td class="mdescRight">Turn on this field to automatically play the first loaded animation.  <a href="class_tri_lib_1_1_asset_loader_options.html#a023fb73c9d5abf72b9387289c2e81287">More...</a><br /></td></tr>
<tr class="separator:a023fb73c9d5abf72b9387289c2e81287"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afd0de310bff8b428ac0f17817b9cdd5a"><td class="memItemLeft" align="right" valign="top">WrapMode&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_loader_options.html#afd0de310bff8b428ac0f17817b9cdd5a">AnimationWrapMode</a> = WrapMode.Loop</td></tr>
<tr class="memdesc:afd0de310bff8b428ac0f17817b9cdd5a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Use this field to change default animations wrap mode.  <a href="class_tri_lib_1_1_asset_loader_options.html#afd0de310bff8b428ac0f17817b9cdd5a">More...</a><br /></td></tr>
<tr class="separator:afd0de310bff8b428ac0f17817b9cdd5a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac45f7677fb27c7397137e56f5c3bc846"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_loader_options.html#ac45f7677fb27c7397137e56f5c3bc846">UseLegacyAnimations</a> = true</td></tr>
<tr class="memdesc:ac45f7677fb27c7397137e56f5c3bc846"><td class="mdescLeft">&#160;</td><td class="mdescRight">Turn on this field to use legacy UnityEngine.Animation component.  <a href="class_tri_lib_1_1_asset_loader_options.html#ac45f7677fb27c7397137e56f5c3bc846">More...</a><br /></td></tr>
<tr class="separator:ac45f7677fb27c7397137e56f5c3bc846"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a074f0b865002e1aef8e391d61c4d4c4a"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_loader_options.html#a074f0b865002e1aef8e391d61c4d4c4a">EnsureQuaternionContinuity</a> = true</td></tr>
<tr class="memdesc:a074f0b865002e1aef8e391d61c4d4c4a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Turn on this field to realigns quaternion keys to ensure shortest interpolation paths.  <a href="class_tri_lib_1_1_asset_loader_options.html#a074f0b865002e1aef8e391d61c4d4c4a">More...</a><br /></td></tr>
<tr class="separator:a074f0b865002e1aef8e391d61c4d4c4a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5f3b0f74c5af9e156e435d589e9da4f9"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_loader_options.html#a5f3b0f74c5af9e156e435d589e9da4f9">UseOriginalPositionRotationAndScale</a> = false</td></tr>
<tr class="memdesc:a5f3b0f74c5af9e156e435d589e9da4f9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Turn on this field to use the original file orientation and rotation.  <a href="class_tri_lib_1_1_asset_loader_options.html#a5f3b0f74c5af9e156e435d589e9da4f9">More...</a><br /></td></tr>
<tr class="separator:a5f3b0f74c5af9e156e435d589e9da4f9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4886c31b05a1db92a012cef39a2ff604"><td class="memItemLeft" align="right" valign="top">RuntimeAnimatorController&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_loader_options.html#a4886c31b05a1db92a012cef39a2ff604">AnimatorController</a></td></tr>
<tr class="memdesc:a4886c31b05a1db92a012cef39a2ff604"><td class="mdescLeft">&#160;</td><td class="mdescRight">If you don´t wish to use legacy animations, use this field to specify a  UnityEngine.RuntimeAnimatorController.  <a href="class_tri_lib_1_1_asset_loader_options.html#a4886c31b05a1db92a012cef39a2ff604">More...</a><br /></td></tr>
<tr class="separator:a4886c31b05a1db92a012cef39a2ff604"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a862800622fa5c3152440fee07251e3a8"><td class="memItemLeft" align="right" valign="top">Avatar&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_loader_options.html#a862800622fa5c3152440fee07251e3a8">Avatar</a></td></tr>
<tr class="memdesc:a862800622fa5c3152440fee07251e3a8"><td class="mdescLeft">&#160;</td><td class="mdescRight">If you don´t wish to use legacy animations, use this field to specify an existing  UnityEngine.Avatar for using.  <a href="class_tri_lib_1_1_asset_loader_options.html#a862800622fa5c3152440fee07251e3a8">More...</a><br /></td></tr>
<tr class="separator:a862800622fa5c3152440fee07251e3a8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a01ea3688604655f0d0d5191206aa4325"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_loader_options.html#a01ea3688604655f0d0d5191206aa4325">DontGenerateAvatar</a></td></tr>
<tr class="memdesc:a01ea3688604655f0d0d5191206aa4325"><td class="mdescLeft">&#160;</td><td class="mdescRight">Turn on this field if you gonna generate your own UnityEngine.Avatar later.  <a href="class_tri_lib_1_1_asset_loader_options.html#a01ea3688604655f0d0d5191206aa4325">More...</a><br /></td></tr>
<tr class="separator:a01ea3688604655f0d0d5191206aa4325"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a362ebcc95d9c14f8f12c282113547b04"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_loader_options.html#a362ebcc95d9c14f8f12c282113547b04">DontLoadMetadata</a></td></tr>
<tr class="memdesc:a362ebcc95d9c14f8f12c282113547b04"><td class="mdescLeft">&#160;</td><td class="mdescRight">Turn on this field to disable metadata processing and metadata processing callback (<a class="el" href="class_tri_lib_1_1_asset_loader_base.html#a128f9310c431d0705f35503aef8b4e4f">AssetLoaderBase.OnMetadataProcessed</a>).  <a href="class_tri_lib_1_1_asset_loader_options.html#a362ebcc95d9c14f8f12c282113547b04">More...</a><br /></td></tr>
<tr class="separator:a362ebcc95d9c14f8f12c282113547b04"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa9c3489d6152502b28ac3790293bf96b"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_loader_options.html#aa9c3489d6152502b28ac3790293bf96b">DontAddMetadataCollection</a></td></tr>
<tr class="memdesc:aa9c3489d6152502b28ac3790293bf96b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Turn on this field to don't add the <a class="el" href="class_tri_lib_1_1_assimp_metadata_collection.html">AssimpMetadataCollection</a> component to the loaded <a class="el" href="">UnityEngine.GameObject</a>s.  <a href="class_tri_lib_1_1_asset_loader_options.html#aa9c3489d6152502b28ac3790293bf96b">More...</a><br /></td></tr>
<tr class="separator:aa9c3489d6152502b28ac3790293bf96b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac1d18a24c7f72ba1df53adf5b10bf350"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_loader_options.html#ac1d18a24c7f72ba1df53adf5b10bf350">DontLoadMaterials</a></td></tr>
<tr class="memdesc:ac1d18a24c7f72ba1df53adf5b10bf350"><td class="mdescLeft">&#160;</td><td class="mdescRight">Turn on this field to disable materials loading.  <a href="class_tri_lib_1_1_asset_loader_options.html#ac1d18a24c7f72ba1df53adf5b10bf350">More...</a><br /></td></tr>
<tr class="separator:ac1d18a24c7f72ba1df53adf5b10bf350"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aea8b83a677fee8fdcf8fde1e8d70b2e8"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_loader_options.html#aea8b83a677fee8fdcf8fde1e8d70b2e8">ApplyColorAlpha</a> = true</td></tr>
<tr class="memdesc:aea8b83a677fee8fdcf8fde1e8d70b2e8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Turn off this field to disable alpha color value on loaded materials.  <a href="class_tri_lib_1_1_asset_loader_options.html#aea8b83a677fee8fdcf8fde1e8d70b2e8">More...</a><br /></td></tr>
<tr class="separator:aea8b83a677fee8fdcf8fde1e8d70b2e8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aed57c8bcbf16d0fc7516f47a04d8cdbc"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_loader_options.html#aed57c8bcbf16d0fc7516f47a04d8cdbc">ApplyDiffuseColor</a> = true</td></tr>
<tr class="memdesc:aed57c8bcbf16d0fc7516f47a04d8cdbc"><td class="mdescLeft">&#160;</td><td class="mdescRight">Turn off this field to disable diffuse color on loaded materials.  <a href="class_tri_lib_1_1_asset_loader_options.html#aed57c8bcbf16d0fc7516f47a04d8cdbc">More...</a><br /></td></tr>
<tr class="separator:aed57c8bcbf16d0fc7516f47a04d8cdbc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a61ac1831db71736e113ae2d384dc974a"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_loader_options.html#a61ac1831db71736e113ae2d384dc974a">ApplyEmissionColor</a> = true</td></tr>
<tr class="memdesc:a61ac1831db71736e113ae2d384dc974a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Turn off this field to disable emission color on loaded materials.  <a href="class_tri_lib_1_1_asset_loader_options.html#a61ac1831db71736e113ae2d384dc974a">More...</a><br /></td></tr>
<tr class="separator:a61ac1831db71736e113ae2d384dc974a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae60ce7ecf78dd2ee30a3b50819993695"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_loader_options.html#ae60ce7ecf78dd2ee30a3b50819993695">ApplySpecularColor</a> = true</td></tr>
<tr class="memdesc:ae60ce7ecf78dd2ee30a3b50819993695"><td class="mdescLeft">&#160;</td><td class="mdescRight">Turn off this field to disable specular color on loaded materials.  <a href="class_tri_lib_1_1_asset_loader_options.html#ae60ce7ecf78dd2ee30a3b50819993695">More...</a><br /></td></tr>
<tr class="separator:ae60ce7ecf78dd2ee30a3b50819993695"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af5f2ce628f43e103e102b2453167f41c"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_loader_options.html#af5f2ce628f43e103e102b2453167f41c">ApplyDiffuseTexture</a> = true</td></tr>
<tr class="memdesc:af5f2ce628f43e103e102b2453167f41c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Turn off this field to disable diffuse texture on loaded materials.  <a href="class_tri_lib_1_1_asset_loader_options.html#af5f2ce628f43e103e102b2453167f41c">More...</a><br /></td></tr>
<tr class="separator:af5f2ce628f43e103e102b2453167f41c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad3a8cb4c0223be27020e39b1dc9be45f"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_loader_options.html#ad3a8cb4c0223be27020e39b1dc9be45f">ApplyEmissionTexture</a> = true</td></tr>
<tr class="memdesc:ad3a8cb4c0223be27020e39b1dc9be45f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Turn off this field to disable emission texture on loaded materials.  <a href="class_tri_lib_1_1_asset_loader_options.html#ad3a8cb4c0223be27020e39b1dc9be45f">More...</a><br /></td></tr>
<tr class="separator:ad3a8cb4c0223be27020e39b1dc9be45f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a42a7b815b418b26ed2b1f6af190f8025"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_loader_options.html#a42a7b815b418b26ed2b1f6af190f8025">ApplySpecularTexture</a> = true</td></tr>
<tr class="memdesc:a42a7b815b418b26ed2b1f6af190f8025"><td class="mdescLeft">&#160;</td><td class="mdescRight">Turn off this field to disable specular texture on loaded materials.  <a href="class_tri_lib_1_1_asset_loader_options.html#a42a7b815b418b26ed2b1f6af190f8025">More...</a><br /></td></tr>
<tr class="separator:a42a7b815b418b26ed2b1f6af190f8025"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a622fd12b60ab7d5ca7a0932158b8e086"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_loader_options.html#a622fd12b60ab7d5ca7a0932158b8e086">ApplyNormalTexture</a> = true</td></tr>
<tr class="memdesc:a622fd12b60ab7d5ca7a0932158b8e086"><td class="mdescLeft">&#160;</td><td class="mdescRight">Turn off this field to disable normal texture on loaded materials.  <a href="class_tri_lib_1_1_asset_loader_options.html#a622fd12b60ab7d5ca7a0932158b8e086">More...</a><br /></td></tr>
<tr class="separator:a622fd12b60ab7d5ca7a0932158b8e086"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa8fabbc822f44888347da9c844fd2a94"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_loader_options.html#aa8fabbc822f44888347da9c844fd2a94">ApplyDisplacementTexture</a> = true</td></tr>
<tr class="memdesc:aa8fabbc822f44888347da9c844fd2a94"><td class="mdescLeft">&#160;</td><td class="mdescRight">Turn off this field to disable displacement texture on loaded materials.  <a href="class_tri_lib_1_1_asset_loader_options.html#aa8fabbc822f44888347da9c844fd2a94">More...</a><br /></td></tr>
<tr class="separator:aa8fabbc822f44888347da9c844fd2a94"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6471cd01668c90b45994627ca1a04752"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_loader_options.html#a6471cd01668c90b45994627ca1a04752">ApplyOcclusionTexture</a> = true</td></tr>
<tr class="memdesc:a6471cd01668c90b45994627ca1a04752"><td class="mdescLeft">&#160;</td><td class="mdescRight">Turn off this field to disable occlusion texture on loaded materials.  <a href="class_tri_lib_1_1_asset_loader_options.html#a6471cd01668c90b45994627ca1a04752">More...</a><br /></td></tr>
<tr class="separator:a6471cd01668c90b45994627ca1a04752"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a87cdb19f20a69c432eb9fbc2c05b51b8"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_loader_options.html#a87cdb19f20a69c432eb9fbc2c05b51b8">ApplyMetallicTexture</a> = true</td></tr>
<tr class="memdesc:a87cdb19f20a69c432eb9fbc2c05b51b8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Turn off this field to disable metallic texture on loaded materials.  <a href="class_tri_lib_1_1_asset_loader_options.html#a87cdb19f20a69c432eb9fbc2c05b51b8">More...</a><br /></td></tr>
<tr class="separator:a87cdb19f20a69c432eb9fbc2c05b51b8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a865c7d0f8ecb7fe3bdec9fc6baaf0c1a"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_loader_options.html#a865c7d0f8ecb7fe3bdec9fc6baaf0c1a">ApplyNormalScale</a> = true</td></tr>
<tr class="memdesc:a865c7d0f8ecb7fe3bdec9fc6baaf0c1a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Turn off this field to disable normal scale on loaded materials.  <a href="class_tri_lib_1_1_asset_loader_options.html#a865c7d0f8ecb7fe3bdec9fc6baaf0c1a">More...</a><br /></td></tr>
<tr class="separator:a865c7d0f8ecb7fe3bdec9fc6baaf0c1a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aea4bf339a68e0906798ca4e9091554a2"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_loader_options.html#aea4bf339a68e0906798ca4e9091554a2">ApplyGlossiness</a> = true</td></tr>
<tr class="memdesc:aea4bf339a68e0906798ca4e9091554a2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Turn off this field to disable glossiness on loaded materials.  <a href="class_tri_lib_1_1_asset_loader_options.html#aea4bf339a68e0906798ca4e9091554a2">More...</a><br /></td></tr>
<tr class="separator:aea4bf339a68e0906798ca4e9091554a2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a884339259c9b1aec377baefc5b458cc5"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_loader_options.html#a884339259c9b1aec377baefc5b458cc5">ApplyGlossinessScale</a> = true</td></tr>
<tr class="memdesc:a884339259c9b1aec377baefc5b458cc5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Turn off this field to disable glossiness scale on loaded materials.  <a href="class_tri_lib_1_1_asset_loader_options.html#a884339259c9b1aec377baefc5b458cc5">More...</a><br /></td></tr>
<tr class="separator:a884339259c9b1aec377baefc5b458cc5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad18258543bc814502b75763aab2e3395"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_loader_options.html#ad18258543bc814502b75763aab2e3395">LoadRawMaterialProperties</a></td></tr>
<tr class="memdesc:ad18258543bc814502b75763aab2e3395"><td class="mdescLeft">&#160;</td><td class="mdescRight">Turn on this field to load additional material properties (located on loaded <a class="el" href="class_tri_lib_1_1_material_data.html" title="Internally represents a Unity UnityEngine.Material.">MaterialData</a> collection).  <a href="class_tri_lib_1_1_asset_loader_options.html#ad18258543bc814502b75763aab2e3395">More...</a><br /></td></tr>
<tr class="separator:ad18258543bc814502b75763aab2e3395"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa27bb1e5419fcedcaf59b45e024ededd"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_loader_options.html#aa27bb1e5419fcedcaf59b45e024ededd">DisableAlphaMaterials</a></td></tr>
<tr class="memdesc:aa27bb1e5419fcedcaf59b45e024ededd"><td class="mdescLeft">&#160;</td><td class="mdescRight">Turn on this field to disable transparent materials creation.  <a href="class_tri_lib_1_1_asset_loader_options.html#aa27bb1e5419fcedcaf59b45e024ededd">More...</a><br /></td></tr>
<tr class="separator:aa27bb1e5419fcedcaf59b45e024ededd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1ba2b4f62f9d8cfff1cd34e94d31f4e1"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_loader_options.html#a1ba2b4f62f9d8cfff1cd34e94d31f4e1">ApplyAlphaMaterials</a></td></tr>
<tr class="memdesc:a1ba2b4f62f9d8cfff1cd34e94d31f4e1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Turn on this field to automatically scan and apply alpha channel materials by checking textures per pixel (may decrease performance).  <a href="class_tri_lib_1_1_asset_loader_options.html#a1ba2b4f62f9d8cfff1cd34e94d31f4e1">More...</a><br /></td></tr>
<tr class="separator:a1ba2b4f62f9d8cfff1cd34e94d31f4e1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac9faae6c1fdc1c3841a2b9c5c84ee154"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_loader_options.html#ac9faae6c1fdc1c3841a2b9c5c84ee154">ScanForAlphaMaterials</a></td></tr>
<tr class="memdesc:ac9faae6c1fdc1c3841a2b9c5c84ee154"><td class="mdescLeft">&#160;</td><td class="mdescRight">Turn on this field to automatically scan and apply alpha channel materials by checking textures per pixel (may decrease performance).  <a href="class_tri_lib_1_1_asset_loader_options.html#ac9faae6c1fdc1c3841a2b9c5c84ee154">More...</a><br /></td></tr>
<tr class="separator:ac9faae6c1fdc1c3841a2b9c5c84ee154"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a657673e54b96ab4f41cacd14bf7c7160"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_loader_options.html#a657673e54b96ab4f41cacd14bf7c7160">UseCutoutMaterials</a></td></tr>
<tr class="memdesc:a657673e54b96ab4f41cacd14bf7c7160"><td class="mdescLeft">&#160;</td><td class="mdescRight">Turn on this field to use cutout materials instead of alpha-blended materials.  <a href="class_tri_lib_1_1_asset_loader_options.html#a657673e54b96ab4f41cacd14bf7c7160">More...</a><br /></td></tr>
<tr class="separator:a657673e54b96ab4f41cacd14bf7c7160"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5941886903fc164ef65728da11f71c49"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_loader_options.html#a5941886903fc164ef65728da11f71c49">UseStandardSpecularMaterial</a></td></tr>
<tr class="memdesc:a5941886903fc164ef65728da11f71c49"><td class="mdescLeft">&#160;</td><td class="mdescRight">Turn on this field to use the Unity default specular material.  <a href="class_tri_lib_1_1_asset_loader_options.html#a5941886903fc164ef65728da11f71c49">More...</a><br /></td></tr>
<tr class="separator:a5941886903fc164ef65728da11f71c49"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a472501925320414513cb2be456caaa34"><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespace_tri_lib.html#a4739993bd8f65cb2673a91829f9574a7">MaterialShadingMode</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_loader_options.html#a472501925320414513cb2be456caaa34">MaterialShadingMode</a></td></tr>
<tr class="memdesc:a472501925320414513cb2be456caaa34"><td class="mdescLeft">&#160;</td><td class="mdescRight">Change this field to switch between Standard, Specular and Roughness setup materials.  <a href="class_tri_lib_1_1_asset_loader_options.html#a472501925320414513cb2be456caaa34">More...</a><br /></td></tr>
<tr class="separator:a472501925320414513cb2be456caaa34"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a620cd9bad9ddced5532545577ff91a81"><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespace_tri_lib.html#ab1a92871b434f66d43eba635dfd45f77">MaterialTransparencyMode</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_loader_options.html#a620cd9bad9ddced5532545577ff91a81">MaterialTransparencyMode</a></td></tr>
<tr class="memdesc:a620cd9bad9ddced5532545577ff91a81"><td class="mdescLeft">&#160;</td><td class="mdescRight">Change this field to switch between Alpha, Cutout and Fade transparency mode on materials.  <a href="class_tri_lib_1_1_asset_loader_options.html#a620cd9bad9ddced5532545577ff91a81">More...</a><br /></td></tr>
<tr class="separator:a620cd9bad9ddced5532545577ff91a81"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a13bb1e0ce1b0bb96e7a949629bccfb8e"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_loader_options.html#a13bb1e0ce1b0bb96e7a949629bccfb8e">DontLoadMeshes</a></td></tr>
<tr class="memdesc:a13bb1e0ce1b0bb96e7a949629bccfb8e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Turn on this field to disable meshes loading.  <a href="class_tri_lib_1_1_asset_loader_options.html#a13bb1e0ce1b0bb96e7a949629bccfb8e">More...</a><br /></td></tr>
<tr class="separator:a13bb1e0ce1b0bb96e7a949629bccfb8e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5bf4a3299cd572cee1cc1e0dcb2fafb8"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_loader_options.html#a5bf4a3299cd572cee1cc1e0dcb2fafb8">DontLoadBlendShapes</a></td></tr>
<tr class="memdesc:a5bf4a3299cd572cee1cc1e0dcb2fafb8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Turn on this field to disable blend-shapes loading.  <a href="class_tri_lib_1_1_asset_loader_options.html#a5bf4a3299cd572cee1cc1e0dcb2fafb8">More...</a><br /></td></tr>
<tr class="separator:a5bf4a3299cd572cee1cc1e0dcb2fafb8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aef27c5c0e6bd8dc4cd6411256f0bf8a4"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_loader_options.html#aef27c5c0e6bd8dc4cd6411256f0bf8a4">DontLoadSkinning</a></td></tr>
<tr class="memdesc:aef27c5c0e6bd8dc4cd6411256f0bf8a4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Turn on this field to disable skinning.  <a href="class_tri_lib_1_1_asset_loader_options.html#aef27c5c0e6bd8dc4cd6411256f0bf8a4">More...</a><br /></td></tr>
<tr class="separator:aef27c5c0e6bd8dc4cd6411256f0bf8a4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a998a2875adae670ef5473e94c2aef404"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_loader_options.html#a998a2875adae670ef5473e94c2aef404">CombineMeshes</a> = true</td></tr>
<tr class="memdesc:a998a2875adae670ef5473e94c2aef404"><td class="mdescLeft">&#160;</td><td class="mdescRight">Turn on this field to combine loaded meshes.  <a href="class_tri_lib_1_1_asset_loader_options.html#a998a2875adae670ef5473e94c2aef404">More...</a><br /></td></tr>
<tr class="separator:a998a2875adae670ef5473e94c2aef404"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab21e1381fd215ea9aa422d99258aadfd"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_loader_options.html#ab21e1381fd215ea9aa422d99258aadfd">GenerateMeshColliders</a></td></tr>
<tr class="memdesc:ab21e1381fd215ea9aa422d99258aadfd"><td class="mdescLeft">&#160;</td><td class="mdescRight">Turn on this field to enable mesh collider generation  <a href="class_tri_lib_1_1_asset_loader_options.html#ab21e1381fd215ea9aa422d99258aadfd">More...</a><br /></td></tr>
<tr class="separator:ab21e1381fd215ea9aa422d99258aadfd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aef348bc60bdb12733f67ab43286a43e3"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_loader_options.html#aef348bc60bdb12733f67ab43286a43e3">ConvexMeshColliders</a></td></tr>
<tr class="memdesc:aef348bc60bdb12733f67ab43286a43e3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Turn on this field to indicate that generated mesh collider will be convex.  <a href="class_tri_lib_1_1_asset_loader_options.html#aef348bc60bdb12733f67ab43286a43e3">More...</a><br /></td></tr>
<tr class="separator:aef348bc60bdb12733f67ab43286a43e3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4404c54d9c5e219343d8e2cea73d72c6"><td class="memItemLeft" align="right" valign="top">Vector3&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_loader_options.html#a4404c54d9c5e219343d8e2cea73d72c6">RotationAngles</a> = new Vector3(0f, 180f, 0f)</td></tr>
<tr class="memdesc:a4404c54d9c5e219343d8e2cea73d72c6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Use this field to override object rotation angles.  <a href="class_tri_lib_1_1_asset_loader_options.html#a4404c54d9c5e219343d8e2cea73d72c6">More...</a><br /></td></tr>
<tr class="separator:a4404c54d9c5e219343d8e2cea73d72c6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2b3beab1239e329f1d98c27770b3c69a"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_loader_options.html#a2b3beab1239e329f1d98c27770b3c69a">Scale</a> = 1f</td></tr>
<tr class="memdesc:a2b3beab1239e329f1d98c27770b3c69a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Use this field to override object scale.  <a href="class_tri_lib_1_1_asset_loader_options.html#a2b3beab1239e329f1d98c27770b3c69a">More...</a><br /></td></tr>
<tr class="separator:a2b3beab1239e329f1d98c27770b3c69a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac94b7a71a505181aec702b15e5b65035"><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespace_tri_lib.html#acb0be976ed4cc12be14542c0bb29ea39">AssimpPostProcessSteps</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_loader_options.html#ac94b7a71a505181aec702b15e5b65035">PostProcessSteps</a> = <a class="el" href="namespace_tri_lib.html#acb0be976ed4cc12be14542c0bb29ea39a34fbdb16993386b0192a0eb0c4351c75">AssimpPostProcessSteps.FlipWindingOrder</a> | <a class="el" href="namespace_tri_lib.html#acb0be976ed4cc12be14542c0bb29ea39aba1741832a48fbab3ee1849d2623c73a">AssimpPostProcessSteps.MakeLeftHanded</a> | <a class="el" href="class_tri_lib_1_1_assimp_process_preset.html#abd88b1e92c830d15052c05a040feaefa">AssimpProcessPreset.TargetRealtimeMaxQuality</a></td></tr>
<tr class="memdesc:ac94b7a71a505181aec702b15e5b65035"><td class="mdescLeft">&#160;</td><td class="mdescRight">Use this field to set-up advanced object loading options.  <a href="class_tri_lib_1_1_asset_loader_options.html#ac94b7a71a505181aec702b15e5b65035">More...</a><br /></td></tr>
<tr class="separator:ac94b7a71a505181aec702b15e5b65035"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa07a4902af66ef296b49062ec02fb687"><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespace_tri_lib.html#a6ab41fbb21f3635083be3b1178394d0c">TextureCompression</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_loader_options.html#aa07a4902af66ef296b49062ec02fb687">TextureCompression</a> = <a class="el" href="namespace_tri_lib.html#a6ab41fbb21f3635083be3b1178394d0caa7e70da92c2e5a1c4eaf14cca2a63dcd">TextureCompression.NormalQuality</a></td></tr>
<tr class="memdesc:aa07a4902af66ef296b49062ec02fb687"><td class="mdescLeft">&#160;</td><td class="mdescRight">Use this field to set loaded textures compression level.  <a href="class_tri_lib_1_1_asset_loader_options.html#aa07a4902af66ef296b49062ec02fb687">More...</a><br /></td></tr>
<tr class="separator:aa07a4902af66ef296b49062ec02fb687"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab30b2ccc9e84574576f3060eb7a9d89c"><td class="memItemLeft" align="right" valign="top">FilterMode&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_loader_options.html#ab30b2ccc9e84574576f3060eb7a9d89c">TextureFilterMode</a> = FilterMode.Bilinear</td></tr>
<tr class="memdesc:ab30b2ccc9e84574576f3060eb7a9d89c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Use this field to set the loaded textures filter mode.  <a href="class_tri_lib_1_1_asset_loader_options.html#ab30b2ccc9e84574576f3060eb7a9d89c">More...</a><br /></td></tr>
<tr class="separator:ab30b2ccc9e84574576f3060eb7a9d89c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5d3f9aeee4ac6ab057a09ab94e4f49bb"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_loader_options.html#a5d3f9aeee4ac6ab057a09ab94e4f49bb">GenerateMipMaps</a> = true</td></tr>
<tr class="memdesc:a5d3f9aeee4ac6ab057a09ab94e4f49bb"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enable this field to generate textures mipmaps.  <a href="class_tri_lib_1_1_asset_loader_options.html#a5d3f9aeee4ac6ab057a09ab94e4f49bb">More...</a><br /></td></tr>
<tr class="separator:a5d3f9aeee4ac6ab057a09ab94e4f49bb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5818c3a4b0446f2d0d2c0c3e44f9cb3b"><td class="memItemLeft" align="right" valign="top">List&lt; <a class="el" href="class_tri_lib_1_1_asset_advanced_config.html">AssetAdvancedConfig</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_loader_options.html#a5818c3a4b0446f2d0d2c0c3e44f9cb3b">AdvancedConfigs</a></td></tr>
<tr class="memdesc:a5818c3a4b0446f2d0d2c0c3e44f9cb3b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Use this field to define asset loading advanced configs.  <a href="class_tri_lib_1_1_asset_loader_options.html#a5818c3a4b0446f2d0d2c0c3e44f9cb3b">More...</a><br /></td></tr>
<tr class="separator:a5818c3a4b0446f2d0d2c0c3e44f9cb3b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >Represents a series of asset loading options. </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="af332e5c7b674026253f9612a994d6454" name="af332e5c7b674026253f9612a994d6454"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af332e5c7b674026253f9612a994d6454">&#9670;&nbsp;</a></span>CreateInstance()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="class_tri_lib_1_1_asset_loader_options.html">AssetLoaderOptions</a> TriLib.AssetLoaderOptions.CreateInstance </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Returns a new <a class="el" href="class_tri_lib_1_1_asset_loader_options.html" title="Represents a series of asset loading options.">AssetLoaderOptions</a> instance. </p>
<dl class="section return"><dt>Returns</dt><dd>The instance.</dd></dl>

</div>
</div>
<a id="ae3f1bde16fe81674a5643f9ef0212a26" name="ae3f1bde16fe81674a5643f9ef0212a26"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae3f1bde16fe81674a5643f9ef0212a26">&#9670;&nbsp;</a></span>Deserialize()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void TriLib.AssetLoaderOptions.Deserialize </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>json</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Deserialize the specified JSON representation into this class. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">json</td><td>Json.</td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="af034052c78eac9477f5ba87ce392d306" name="af034052c78eac9477f5ba87ce392d306"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af034052c78eac9477f5ba87ce392d306">&#9670;&nbsp;</a></span>Serialize()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">string TriLib.AssetLoaderOptions.Serialize </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Serializes this instance to a JSON representation. </p>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a2e7bbe2c9b9e3b20fcd6a49efe50af3b" name="a2e7bbe2c9b9e3b20fcd6a49efe50af3b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2e7bbe2c9b9e3b20fcd6a49efe50af3b">&#9670;&nbsp;</a></span>AddAssetUnloader</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool TriLib.AssetLoaderOptions.AddAssetUnloader</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Turn on this field to add <a class="el" href="class_tri_lib_1_1_asset_unloader.html" title="Represents an asset unloader.">AssetUnloader</a> behaviour to loaded UnityEngine.GameObject and automatically free resources when it's destroyed. </p>

</div>
</div>
<a id="a5818c3a4b0446f2d0d2c0c3e44f9cb3b" name="a5818c3a4b0446f2d0d2c0c3e44f9cb3b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5818c3a4b0446f2d0d2c0c3e44f9cb3b">&#9670;&nbsp;</a></span>AdvancedConfigs</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">List&lt;<a class="el" href="class_tri_lib_1_1_asset_advanced_config.html">AssetAdvancedConfig</a>&gt; TriLib.AssetLoaderOptions.AdvancedConfigs</td>
        </tr>
      </table>
</div><div class="memdoc">
<b>Initial value:</b><div class="fragment"><div class="line">= <span class="keyword">new</span> List&lt;AssetAdvancedConfig&gt;</div>
<div class="line">        {</div>
<div class="line">            AssetAdvancedConfig.CreateConfig(<a class="code" href="namespace_tri_lib.html#a2f79033cc124ce8cf667bc3d0cd3a7b4">AssetAdvancedPropertyClassNames</a>.SplitLargeMeshesVertexLimit, 65000),</div>
<div class="line">            AssetAdvancedConfig.CreateConfig(<a class="code" href="namespace_tri_lib.html#a2f79033cc124ce8cf667bc3d0cd3a7b4">AssetAdvancedPropertyClassNames</a>.FBXImportReadLights, <span class="keyword">false</span>),</div>
<div class="line">            AssetAdvancedConfig.CreateConfig(<a class="code" href="namespace_tri_lib.html#a2f79033cc124ce8cf667bc3d0cd3a7b4">AssetAdvancedPropertyClassNames</a>.FBXImportReadCameras, <span class="keyword">false</span>)</div>
<div class="line">        }</div>
<div class="ttc" id="anamespace_tri_lib_html_a2f79033cc124ce8cf667bc3d0cd3a7b4"><div class="ttname"><a href="namespace_tri_lib.html#a2f79033cc124ce8cf667bc3d0cd3a7b4">TriLib.AssetAdvancedPropertyClassNames</a></div><div class="ttdeci">AssetAdvancedPropertyClassNames</div><div class="ttdoc">Represents the asset advanced configs class names.</div><div class="ttdef"><b>Definition:</b> AssetAdvancedConfigs.cs:171</div></div>
</div><!-- fragment -->
<p>Use this field to define asset loading advanced configs. </p>

</div>
</div>
<a id="afd0de310bff8b428ac0f17817b9cdd5a" name="afd0de310bff8b428ac0f17817b9cdd5a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afd0de310bff8b428ac0f17817b9cdd5a">&#9670;&nbsp;</a></span>AnimationWrapMode</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">WrapMode TriLib.AssetLoaderOptions.AnimationWrapMode = WrapMode.Loop</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Use this field to change default animations wrap mode. </p>

</div>
</div>
<a id="a4886c31b05a1db92a012cef39a2ff604" name="a4886c31b05a1db92a012cef39a2ff604"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4886c31b05a1db92a012cef39a2ff604">&#9670;&nbsp;</a></span>AnimatorController</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">RuntimeAnimatorController TriLib.AssetLoaderOptions.AnimatorController</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>If you don´t wish to use legacy animations, use this field to specify a  UnityEngine.RuntimeAnimatorController. </p>

</div>
</div>
<a id="a1ba2b4f62f9d8cfff1cd34e94d31f4e1" name="a1ba2b4f62f9d8cfff1cd34e94d31f4e1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1ba2b4f62f9d8cfff1cd34e94d31f4e1">&#9670;&nbsp;</a></span>ApplyAlphaMaterials</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool TriLib.AssetLoaderOptions.ApplyAlphaMaterials</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Turn on this field to automatically scan and apply alpha channel materials by checking textures per pixel (may decrease performance). </p>

</div>
</div>
<a id="aea8b83a677fee8fdcf8fde1e8d70b2e8" name="aea8b83a677fee8fdcf8fde1e8d70b2e8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aea8b83a677fee8fdcf8fde1e8d70b2e8">&#9670;&nbsp;</a></span>ApplyColorAlpha</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool TriLib.AssetLoaderOptions.ApplyColorAlpha = true</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Turn off this field to disable alpha color value on loaded materials. </p>

</div>
</div>
<a id="aed57c8bcbf16d0fc7516f47a04d8cdbc" name="aed57c8bcbf16d0fc7516f47a04d8cdbc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aed57c8bcbf16d0fc7516f47a04d8cdbc">&#9670;&nbsp;</a></span>ApplyDiffuseColor</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool TriLib.AssetLoaderOptions.ApplyDiffuseColor = true</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Turn off this field to disable diffuse color on loaded materials. </p>

</div>
</div>
<a id="af5f2ce628f43e103e102b2453167f41c" name="af5f2ce628f43e103e102b2453167f41c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af5f2ce628f43e103e102b2453167f41c">&#9670;&nbsp;</a></span>ApplyDiffuseTexture</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool TriLib.AssetLoaderOptions.ApplyDiffuseTexture = true</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Turn off this field to disable diffuse texture on loaded materials. </p>

</div>
</div>
<a id="aa8fabbc822f44888347da9c844fd2a94" name="aa8fabbc822f44888347da9c844fd2a94"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa8fabbc822f44888347da9c844fd2a94">&#9670;&nbsp;</a></span>ApplyDisplacementTexture</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool TriLib.AssetLoaderOptions.ApplyDisplacementTexture = true</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Turn off this field to disable displacement texture on loaded materials. </p>

</div>
</div>
<a id="a61ac1831db71736e113ae2d384dc974a" name="a61ac1831db71736e113ae2d384dc974a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a61ac1831db71736e113ae2d384dc974a">&#9670;&nbsp;</a></span>ApplyEmissionColor</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool TriLib.AssetLoaderOptions.ApplyEmissionColor = true</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Turn off this field to disable emission color on loaded materials. </p>

</div>
</div>
<a id="ad3a8cb4c0223be27020e39b1dc9be45f" name="ad3a8cb4c0223be27020e39b1dc9be45f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad3a8cb4c0223be27020e39b1dc9be45f">&#9670;&nbsp;</a></span>ApplyEmissionTexture</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool TriLib.AssetLoaderOptions.ApplyEmissionTexture = true</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Turn off this field to disable emission texture on loaded materials. </p>

</div>
</div>
<a id="aea4bf339a68e0906798ca4e9091554a2" name="aea4bf339a68e0906798ca4e9091554a2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aea4bf339a68e0906798ca4e9091554a2">&#9670;&nbsp;</a></span>ApplyGlossiness</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool TriLib.AssetLoaderOptions.ApplyGlossiness = true</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Turn off this field to disable glossiness on loaded materials. </p>

</div>
</div>
<a id="a884339259c9b1aec377baefc5b458cc5" name="a884339259c9b1aec377baefc5b458cc5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a884339259c9b1aec377baefc5b458cc5">&#9670;&nbsp;</a></span>ApplyGlossinessScale</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool TriLib.AssetLoaderOptions.ApplyGlossinessScale = true</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Turn off this field to disable glossiness scale on loaded materials. </p>

</div>
</div>
<a id="a87cdb19f20a69c432eb9fbc2c05b51b8" name="a87cdb19f20a69c432eb9fbc2c05b51b8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a87cdb19f20a69c432eb9fbc2c05b51b8">&#9670;&nbsp;</a></span>ApplyMetallicTexture</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool TriLib.AssetLoaderOptions.ApplyMetallicTexture = true</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Turn off this field to disable metallic texture on loaded materials. </p>

</div>
</div>
<a id="a865c7d0f8ecb7fe3bdec9fc6baaf0c1a" name="a865c7d0f8ecb7fe3bdec9fc6baaf0c1a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a865c7d0f8ecb7fe3bdec9fc6baaf0c1a">&#9670;&nbsp;</a></span>ApplyNormalScale</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool TriLib.AssetLoaderOptions.ApplyNormalScale = true</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Turn off this field to disable normal scale on loaded materials. </p>

</div>
</div>
<a id="a622fd12b60ab7d5ca7a0932158b8e086" name="a622fd12b60ab7d5ca7a0932158b8e086"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a622fd12b60ab7d5ca7a0932158b8e086">&#9670;&nbsp;</a></span>ApplyNormalTexture</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool TriLib.AssetLoaderOptions.ApplyNormalTexture = true</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Turn off this field to disable normal texture on loaded materials. </p>

</div>
</div>
<a id="a6471cd01668c90b45994627ca1a04752" name="a6471cd01668c90b45994627ca1a04752"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6471cd01668c90b45994627ca1a04752">&#9670;&nbsp;</a></span>ApplyOcclusionTexture</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool TriLib.AssetLoaderOptions.ApplyOcclusionTexture = true</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Turn off this field to disable occlusion texture on loaded materials. </p>

</div>
</div>
<a id="ae60ce7ecf78dd2ee30a3b50819993695" name="ae60ce7ecf78dd2ee30a3b50819993695"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae60ce7ecf78dd2ee30a3b50819993695">&#9670;&nbsp;</a></span>ApplySpecularColor</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool TriLib.AssetLoaderOptions.ApplySpecularColor = true</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Turn off this field to disable specular color on loaded materials. </p>

</div>
</div>
<a id="a42a7b815b418b26ed2b1f6af190f8025" name="a42a7b815b418b26ed2b1f6af190f8025"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a42a7b815b418b26ed2b1f6af190f8025">&#9670;&nbsp;</a></span>ApplySpecularTexture</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool TriLib.AssetLoaderOptions.ApplySpecularTexture = true</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Turn off this field to disable specular texture on loaded materials. </p>

</div>
</div>
<a id="a023fb73c9d5abf72b9387289c2e81287" name="a023fb73c9d5abf72b9387289c2e81287"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a023fb73c9d5abf72b9387289c2e81287">&#9670;&nbsp;</a></span>AutoPlayAnimations</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool TriLib.AssetLoaderOptions.AutoPlayAnimations = true</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Turn on this field to automatically play the first loaded animation. </p>
<dl class="section note"><dt>Note</dt><dd>Only for legacy animations. </dd></dl>

</div>
</div>
<a id="a862800622fa5c3152440fee07251e3a8" name="a862800622fa5c3152440fee07251e3a8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a862800622fa5c3152440fee07251e3a8">&#9670;&nbsp;</a></span>Avatar</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Avatar TriLib.AssetLoaderOptions.Avatar</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>If you don´t wish to use legacy animations, use this field to specify an existing  UnityEngine.Avatar for using. </p>

</div>
</div>
<a id="a998a2875adae670ef5473e94c2aef404" name="a998a2875adae670ef5473e94c2aef404"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a998a2875adae670ef5473e94c2aef404">&#9670;&nbsp;</a></span>CombineMeshes</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool TriLib.AssetLoaderOptions.CombineMeshes = true</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Turn on this field to combine loaded meshes. </p>

</div>
</div>
<a id="aef348bc60bdb12733f67ab43286a43e3" name="aef348bc60bdb12733f67ab43286a43e3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aef348bc60bdb12733f67ab43286a43e3">&#9670;&nbsp;</a></span>ConvexMeshColliders</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool TriLib.AssetLoaderOptions.ConvexMeshColliders</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Turn on this field to indicate that generated mesh collider will be convex. </p>

</div>
</div>
<a id="aa27bb1e5419fcedcaf59b45e024ededd" name="aa27bb1e5419fcedcaf59b45e024ededd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa27bb1e5419fcedcaf59b45e024ededd">&#9670;&nbsp;</a></span>DisableAlphaMaterials</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool TriLib.AssetLoaderOptions.DisableAlphaMaterials</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Turn on this field to disable transparent materials creation. </p>

</div>
</div>
<a id="aa9c3489d6152502b28ac3790293bf96b" name="aa9c3489d6152502b28ac3790293bf96b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa9c3489d6152502b28ac3790293bf96b">&#9670;&nbsp;</a></span>DontAddMetadataCollection</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool TriLib.AssetLoaderOptions.DontAddMetadataCollection</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Turn on this field to don't add the <a class="el" href="class_tri_lib_1_1_assimp_metadata_collection.html">AssimpMetadataCollection</a> component to the loaded <a class="el" href="">UnityEngine.GameObject</a>s. </p>

</div>
</div>
<a id="af3c89ae92840d5cb8b154ee8e0f8adde" name="af3c89ae92840d5cb8b154ee8e0f8adde"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af3c89ae92840d5cb8b154ee8e0f8adde">&#9670;&nbsp;</a></span>DontApplyAnimations</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool TriLib.AssetLoaderOptions.DontApplyAnimations</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Turn on this field to disable applying loaded animations. </p>

</div>
</div>
<a id="a01ea3688604655f0d0d5191206aa4325" name="a01ea3688604655f0d0d5191206aa4325"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a01ea3688604655f0d0d5191206aa4325">&#9670;&nbsp;</a></span>DontGenerateAvatar</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool TriLib.AssetLoaderOptions.DontGenerateAvatar</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Turn on this field if you gonna generate your own UnityEngine.Avatar later. </p>

</div>
</div>
<a id="a6f98a37d59954c111865837ed10e7668" name="a6f98a37d59954c111865837ed10e7668"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6f98a37d59954c111865837ed10e7668">&#9670;&nbsp;</a></span>DontLoadAnimations</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool TriLib.AssetLoaderOptions.DontLoadAnimations</td>
        </tr>
      </table>
</div><div class="memdoc">

<p><br  />
 Turn on this field to disable animations loading. </p>
<p ><br  />
 </p>

</div>
</div>
<a id="a5bf4a3299cd572cee1cc1e0dcb2fafb8" name="a5bf4a3299cd572cee1cc1e0dcb2fafb8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5bf4a3299cd572cee1cc1e0dcb2fafb8">&#9670;&nbsp;</a></span>DontLoadBlendShapes</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool TriLib.AssetLoaderOptions.DontLoadBlendShapes</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Turn on this field to disable blend-shapes loading. </p>

</div>
</div>
<a id="af1b249c1ce4508e71397658fa2cd1f95" name="af1b249c1ce4508e71397658fa2cd1f95"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af1b249c1ce4508e71397658fa2cd1f95">&#9670;&nbsp;</a></span>DontLoadCameras</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool TriLib.AssetLoaderOptions.DontLoadCameras = true</td>
        </tr>
      </table>
</div><div class="memdoc">

<p><br  />
 Turn on this field to disable cameras loading. </p>
<p ><br  />
 </p>

</div>
</div>
<a id="a086ab53f1d935e50a4b4b3ce08357264" name="a086ab53f1d935e50a4b4b3ce08357264"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a086ab53f1d935e50a4b4b3ce08357264">&#9670;&nbsp;</a></span>DontLoadLights</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool TriLib.AssetLoaderOptions.DontLoadLights = true</td>
        </tr>
      </table>
</div><div class="memdoc">

<p><br  />
 Turn on this field to disable lights loading. </p>
<p ><br  />
 </p>

</div>
</div>
<a id="ac1d18a24c7f72ba1df53adf5b10bf350" name="ac1d18a24c7f72ba1df53adf5b10bf350"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac1d18a24c7f72ba1df53adf5b10bf350">&#9670;&nbsp;</a></span>DontLoadMaterials</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool TriLib.AssetLoaderOptions.DontLoadMaterials</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Turn on this field to disable materials loading. </p>
<p ><br  />
 </p>

</div>
</div>
<a id="a13bb1e0ce1b0bb96e7a949629bccfb8e" name="a13bb1e0ce1b0bb96e7a949629bccfb8e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a13bb1e0ce1b0bb96e7a949629bccfb8e">&#9670;&nbsp;</a></span>DontLoadMeshes</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool TriLib.AssetLoaderOptions.DontLoadMeshes</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Turn on this field to disable meshes loading. </p>
<p ><br  />
 </p>

</div>
</div>
<a id="a362ebcc95d9c14f8f12c282113547b04" name="a362ebcc95d9c14f8f12c282113547b04"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a362ebcc95d9c14f8f12c282113547b04">&#9670;&nbsp;</a></span>DontLoadMetadata</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool TriLib.AssetLoaderOptions.DontLoadMetadata</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Turn on this field to disable metadata processing and metadata processing callback (<a class="el" href="class_tri_lib_1_1_asset_loader_base.html#a128f9310c431d0705f35503aef8b4e4f">AssetLoaderBase.OnMetadataProcessed</a>). </p>

</div>
</div>
<a id="aef27c5c0e6bd8dc4cd6411256f0bf8a4" name="aef27c5c0e6bd8dc4cd6411256f0bf8a4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aef27c5c0e6bd8dc4cd6411256f0bf8a4">&#9670;&nbsp;</a></span>DontLoadSkinning</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool TriLib.AssetLoaderOptions.DontLoadSkinning</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Turn on this field to disable skinning. </p>

</div>
</div>
<a id="a074f0b865002e1aef8e391d61c4d4c4a" name="a074f0b865002e1aef8e391d61c4d4c4a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a074f0b865002e1aef8e391d61c4d4c4a">&#9670;&nbsp;</a></span>EnsureQuaternionContinuity</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool TriLib.AssetLoaderOptions.EnsureQuaternionContinuity = true</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Turn on this field to realigns quaternion keys to ensure shortest interpolation paths. </p>
<p >This can cause glitches on some animations.</p>

</div>
</div>
<a id="a79471bc0f1d4379cfccbd54193943d6d" name="a79471bc0f1d4379cfccbd54193943d6d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a79471bc0f1d4379cfccbd54193943d6d">&#9670;&nbsp;</a></span>ForceAnimationComponents</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool TriLib.AssetLoaderOptions.ForceAnimationComponents</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Turn on this field to force the animation components creation even when there are no animations on the source model. </p>

</div>
</div>
<a id="ab21e1381fd215ea9aa422d99258aadfd" name="ab21e1381fd215ea9aa422d99258aadfd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab21e1381fd215ea9aa422d99258aadfd">&#9670;&nbsp;</a></span>GenerateMeshColliders</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool TriLib.AssetLoaderOptions.GenerateMeshColliders</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Turn on this field to enable mesh collider generation </p>
<dl class="section note"><dt>Note</dt><dd>Only for non-skinned mesh renderers. </dd></dl>

</div>
</div>
<a id="a5d3f9aeee4ac6ab057a09ab94e4f49bb" name="a5d3f9aeee4ac6ab057a09ab94e4f49bb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5d3f9aeee4ac6ab057a09ab94e4f49bb">&#9670;&nbsp;</a></span>GenerateMipMaps</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool TriLib.AssetLoaderOptions.GenerateMipMaps = true</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Enable this field to generate textures mipmaps. </p>

</div>
</div>
<a id="ad18258543bc814502b75763aab2e3395" name="ad18258543bc814502b75763aab2e3395"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad18258543bc814502b75763aab2e3395">&#9670;&nbsp;</a></span>LoadRawMaterialProperties</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool TriLib.AssetLoaderOptions.LoadRawMaterialProperties</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Turn on this field to load additional material properties (located on loaded <a class="el" href="class_tri_lib_1_1_material_data.html" title="Internally represents a Unity UnityEngine.Material.">MaterialData</a> collection). </p>

</div>
</div>
<a id="a472501925320414513cb2be456caaa34" name="a472501925320414513cb2be456caaa34"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a472501925320414513cb2be456caaa34">&#9670;&nbsp;</a></span>MaterialShadingMode</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespace_tri_lib.html#a4739993bd8f65cb2673a91829f9574a7">MaterialShadingMode</a> TriLib.AssetLoaderOptions.MaterialShadingMode</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Change this field to switch between Standard, Specular and Roughness setup materials. </p>

</div>
</div>
<a id="a620cd9bad9ddced5532545577ff91a81" name="a620cd9bad9ddced5532545577ff91a81"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a620cd9bad9ddced5532545577ff91a81">&#9670;&nbsp;</a></span>MaterialTransparencyMode</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespace_tri_lib.html#ab1a92871b434f66d43eba635dfd45f77">MaterialTransparencyMode</a> TriLib.AssetLoaderOptions.MaterialTransparencyMode</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Change this field to switch between Alpha, Cutout and Fade transparency mode on materials. </p>

</div>
</div>
<a id="ac94b7a71a505181aec702b15e5b65035" name="ac94b7a71a505181aec702b15e5b65035"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac94b7a71a505181aec702b15e5b65035">&#9670;&nbsp;</a></span>PostProcessSteps</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespace_tri_lib.html#acb0be976ed4cc12be14542c0bb29ea39">AssimpPostProcessSteps</a> TriLib.AssetLoaderOptions.PostProcessSteps = <a class="el" href="namespace_tri_lib.html#acb0be976ed4cc12be14542c0bb29ea39a34fbdb16993386b0192a0eb0c4351c75">AssimpPostProcessSteps.FlipWindingOrder</a> | <a class="el" href="namespace_tri_lib.html#acb0be976ed4cc12be14542c0bb29ea39aba1741832a48fbab3ee1849d2623c73a">AssimpPostProcessSteps.MakeLeftHanded</a> | <a class="el" href="class_tri_lib_1_1_assimp_process_preset.html#abd88b1e92c830d15052c05a040feaefa">AssimpProcessPreset.TargetRealtimeMaxQuality</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Use this field to set-up advanced object loading options. </p>
<p ><a class="el" href="namespace_tri_lib.html#acb0be976ed4cc12be14542c0bb29ea39" title="Represents the importing post process steps.">AssimpPostProcessSteps</a> </p>

</div>
</div>
<a id="a4404c54d9c5e219343d8e2cea73d72c6" name="a4404c54d9c5e219343d8e2cea73d72c6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4404c54d9c5e219343d8e2cea73d72c6">&#9670;&nbsp;</a></span>RotationAngles</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Vector3 TriLib.AssetLoaderOptions.RotationAngles = new Vector3(0f, 180f, 0f)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Use this field to override object rotation angles. </p>

</div>
</div>
<a id="a2b3beab1239e329f1d98c27770b3c69a" name="a2b3beab1239e329f1d98c27770b3c69a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2b3beab1239e329f1d98c27770b3c69a">&#9670;&nbsp;</a></span>Scale</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float TriLib.AssetLoaderOptions.Scale = 1f</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Use this field to override object scale. </p>

</div>
</div>
<a id="ac9faae6c1fdc1c3841a2b9c5c84ee154" name="ac9faae6c1fdc1c3841a2b9c5c84ee154"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac9faae6c1fdc1c3841a2b9c5c84ee154">&#9670;&nbsp;</a></span>ScanForAlphaMaterials</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool TriLib.AssetLoaderOptions.ScanForAlphaMaterials</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Turn on this field to automatically scan and apply alpha channel materials by checking textures per pixel (may decrease performance). </p>

</div>
</div>
<a id="aa07a4902af66ef296b49062ec02fb687" name="aa07a4902af66ef296b49062ec02fb687"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa07a4902af66ef296b49062ec02fb687">&#9670;&nbsp;</a></span>TextureCompression</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespace_tri_lib.html#a6ab41fbb21f3635083be3b1178394d0c">TextureCompression</a> TriLib.AssetLoaderOptions.TextureCompression = <a class="el" href="namespace_tri_lib.html#a6ab41fbb21f3635083be3b1178394d0caa7e70da92c2e5a1c4eaf14cca2a63dcd">TextureCompression.NormalQuality</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Use this field to set loaded textures compression level. </p>

</div>
</div>
<a id="ab30b2ccc9e84574576f3060eb7a9d89c" name="ab30b2ccc9e84574576f3060eb7a9d89c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab30b2ccc9e84574576f3060eb7a9d89c">&#9670;&nbsp;</a></span>TextureFilterMode</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">FilterMode TriLib.AssetLoaderOptions.TextureFilterMode = FilterMode.Bilinear</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Use this field to set the loaded textures filter mode. </p>

</div>
</div>
<a id="a657673e54b96ab4f41cacd14bf7c7160" name="a657673e54b96ab4f41cacd14bf7c7160"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a657673e54b96ab4f41cacd14bf7c7160">&#9670;&nbsp;</a></span>UseCutoutMaterials</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool TriLib.AssetLoaderOptions.UseCutoutMaterials</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Turn on this field to use cutout materials instead of alpha-blended materials. </p>

</div>
</div>
<a id="ac45f7677fb27c7397137e56f5c3bc846" name="ac45f7677fb27c7397137e56f5c3bc846"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac45f7677fb27c7397137e56f5c3bc846">&#9670;&nbsp;</a></span>UseLegacyAnimations</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool TriLib.AssetLoaderOptions.UseLegacyAnimations = true</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Turn on this field to use legacy UnityEngine.Animation component. </p>

</div>
</div>
<a id="a5f3b0f74c5af9e156e435d589e9da4f9" name="a5f3b0f74c5af9e156e435d589e9da4f9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5f3b0f74c5af9e156e435d589e9da4f9">&#9670;&nbsp;</a></span>UseOriginalPositionRotationAndScale</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool TriLib.AssetLoaderOptions.UseOriginalPositionRotationAndScale = false</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Turn on this field to use the original file orientation and rotation. </p>
<p >That would fix issues with DAE files orientations, among others. </p>
<p >This field is turned off by default, to avoid breaking changes with existing code. When enabled, <a class="el" href="namespace_tri_lib.html">TriLib</a> will create a wrapper object on top of the object you load, to keep the object original local transform. It's recommended to set this field to <code>true</code> on your <a class="el" href="class_tri_lib_1_1_asset_loader_options.html" title="Represents a series of asset loading options.">AssetLoaderOptions</a> instance. </p>

</div>
</div>
<a id="a5941886903fc164ef65728da11f71c49" name="a5941886903fc164ef65728da11f71c49"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5941886903fc164ef65728da11f71c49">&#9670;&nbsp;</a></span>UseStandardSpecularMaterial</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool TriLib.AssetLoaderOptions.UseStandardSpecularMaterial</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Turn on this field to use the Unity default specular material. </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>/home/chris/dev/unity/VivianUI/Assets/TriLib/TriLib/Scripts/AssetLoader/<a class="el" href="_asset_loader_options_8cs.html">AssetLoaderOptions.cs</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespace_tri_lib.html">TriLib</a></li><li class="navelem"><a class="el" href="class_tri_lib_1_1_asset_loader_options.html">AssetLoaderOptions</a></li>
    <li class="footer">Generated on Mon Dec 20 2021 15:24:23 for VivianUI by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.2 </li>
  </ul>
</div>
</body>
</html>
